GREPHISTORY(1)

NAME
grephistory - display file names from Usenet history file

SYNOPSIS
grephistory [ -f filename ] [ -e ] [ -n ] [ -q ] [ -l ] [ -t ] [ -i ] [ -s ] [ messageid ]

DESCRIPTION
Grephistory queries the dbz(3) index into the history(5) file for an article having a specified Message-ID.

If messageid cannot be found in the database, the program prints ``Not found'' and exits with a non-zero status. If messageid is in the database, the program prints the pathname and exits successfully.

OPTIONS

-n  If no pathname exists, the program will print ``/dev/null'' and exit successfully. This can happen when an article has been cancelled, or if it has been expired but its history is still retained. This is default behaviour, which can be obtained by using the ``-n'' flag.

-q  If the ``-q'' flag is used, then no message is displayed. The program will still exit with the appropriate exit status.

-t  If the ``-t'' flag is used, then only the offset into the history text file is printed.

-e  If the ``-e'' flag is used, then grephistory will only print the filename of an existing article.

-l  If the ``-l'' flag is used then the entire line from the history file will be displayed.

-i  If the ``-i'' flag is used, then grephistory will read a list of Message-ID's on standard input, one per line. Leading and trailing whitespace is ignored, as are any malformed lines. It will print on standard output those Message-ID's which are not found in the history database. This flag is used in processsing ``ihave'' control messages.

-s  If the ``-s'' flag is used, then grephistory will read a similar list from its standard input. It will print on standard output a list of filenames for each article that is still available. This flag is used in processsing ``sendme'' control messages.

-f  To specify a different value for the history file and database, use the ``-f'' flag.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
dbz(3), history(5).